Printago API
PATCH /v1/sku-costs/{id}

Update a SKU cost

Requires: sku.edit

Path Parameters

id required
string
- SKU cost identifier

Request Body

- Updated SKU cost data

Partial__type.o17
costComponentIdoptional
string
createdAtoptional
string
format: date-time
idoptional
string
quantityoptional
number
skuIdoptional
string
storeIdoptional
string
updatedAtoptional
string
format: date-time

Example Request

application/json
{
  "skuId": "string",
  "costComponentId": "string",
  "id": "string",
  "storeId": "string",
  "updatedAt": "2026-08-24T03:58:56.294Z",
  "createdAt": "2026-08-24T03:58:56.294Z",
  "quantity": 1
}

Response Schema

SkuCost
costComponentIdrequired
string
createdAtrequired
string
format: date-time
idrequired
string
quantityrequired
number
skuIdrequired
string
storeIdrequired
string
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "id": "string",
  "skuId": "string",
  "costComponentId": "string",
  "quantity": 1,
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:56.294Z",
  "updatedAt": "2026-08-24T03:58:56.294Z"
}